package de.intevation.flys.client.shared.model;

import java.util.List;

import de.intevation.flys.client.client.ui.CollectionView;
import de.intevation.flys.client.client.ui.OutputTab;
import de.intevation.flys.client.client.ui.chart.ChartOutputTab;
import de.intevation.flys.client.client.ui.chart.NaviChartOutputTab;


/**
 * @author <a href="mailto:ingo.weinzierl@intevation.de">Ingo Weinzierl</a>
 */
public class ChartMode extends DefaultOutputMode {

    public ChartMode() {
    }


    public ChartMode(String name, String desc, String mimeType) {
        super(name, desc, mimeType);
    }


    public ChartMode(
        String name,
        String descrition,
        String mimeType,
        List<Facet> facets,
        String type)
    {
        super(name, descrition, mimeType, facets);
        this.type = type;
    }


    @Override
    public OutputTab createOutputTab(String t, Collection c, CollectionView p) {
        if (this.getName().equals("fix_wq_curve") ||
            this.getName().equals("fix_deltawt_curve") ||
            this.getName().equals("fix_derivate_curve")) {
            return new NaviChartOutputTab(t, c, this, p);
        }
        return new ChartOutputTab(t, c, this, p);
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
